## pathological 0.0-3

=== DESCRIPTION ===
Package: pathological
Type: Package
Title: Path Manipulation Utilities
Version: 0.0-3
Date: 2014-12-23
Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
Maintainer: Richard Cotton <richierocks@gmail.com>
Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
    email = "richierocks@gmail.com"), person("Janko", "Thyson", role = "ctb"))
Description: Utilities for paths, files and directories.
Depends: R (>= 2.15.0)
Imports: assertive, plyr, stringr
Suggests: testthat
License: Unlimited
LazyLoad: yes
Acknowledgments: Development of this package was partially funded by
        the Proteomics Core at Weill Cornell Medical College in Qatar
        <http://qatar-weill.cornell.edu>.  The Core is supported by
        'Biomedical Research Program' funds, a program funded by Qatar
        Foundation.
Packaged: 2014-12-23 12:43:11 UTC; rjc2003
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-01-19 10:25:52

## pathological 0.0-6

=== DESCRIPTION ===
Package: pathological
Type: Package
Title: Path Manipulation Utilities
Version: 0.0-6
Date: 2015-05-09
Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
Maintainer: Richard Cotton <richierocks@gmail.com>
Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
    email = "richierocks@gmail.com"), person("Janko", "Thyson", role = "ctb"))
Description: Utilities for paths, files and directories.
URL: https://github.com/richierocks/pathological
BugReports: https://github.com/richierocks/pathological/issues
Depends: R (>= 2.15.0)
Imports: assertive, plyr, stringr (>= 1.0.0)
Suggests: testthat
License: Unlimited
LazyLoad: yes
Acknowledgments: Development of this package was partially funded by
        the Proteomics Core at Weill Cornell Medical College in Qatar
        <http://qatar-weill.cornell.edu>.  The Core is supported by
        'Biomedical Research Program' funds, a program funded by Qatar
        Foundation.
NeedsCompilation: no
Packaged: 2015-05-10 06:29:42 UTC; rjc2003
Repository: CRAN
Date/Publication: 2015-05-10 23:22:20

## pathological 0.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pathological
 Type: Package
 Title: Path Manipulation Utilities
-Version: 0.0-6
-Date: 2015-05-09
+Version: 0.0-7
+Date: 2015-10-08
 Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
 Maintainer: Richard Cotton <richierocks@gmail.com>
 Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
@@ -11,7 +11,9 @@
 URL: https://github.com/richierocks/pathological
 BugReports: https://github.com/richierocks/pathological/issues
 Depends: R (>= 2.15.0)
-Imports: assertive, plyr, stringr (>= 1.0.0)
+Imports: assertive.base (>= 0.0-3), assertive.properties,
+        assertive.types, assertive.files, assertive.reflection,
+        assertive.strings, plyr, stringr (>= 1.0.0), utils
 Suggests: testthat
 License: Unlimited
 LazyLoad: yes
@@ -21,6 +23,6 @@
         'Biomedical Research Program' funds, a program funded by Qatar
         Foundation.
 NeedsCompilation: no
-Packaged: 2015-05-10 06:29:42 UTC; rjc2003
+Packaged: 2015-10-08 11:57:39 UTC; rjc2003
 Repository: CRAN
-Date/Publication: 2015-05-10 23:22:20
+Date/Publication: 2015-10-08 19:43:07

## pathological 0.0-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pathological
 Type: Package
 Title: Path Manipulation Utilities
-Version: 0.0-7
-Date: 2015-10-08
+Version: 0.0-8
+Date: 2016-05-10
 Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
 Maintainer: Richard Cotton <richierocks@gmail.com>
 Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
@@ -22,7 +22,8 @@
         <http://qatar-weill.cornell.edu>.  The Core is supported by
         'Biomedical Research Program' funds, a program funded by Qatar
         Foundation.
+RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-10-08 11:57:39 UTC; rjc2003
+Packaged: 2016-05-10 12:01:14 UTC; rjc2003
 Repository: CRAN
-Date/Publication: 2015-10-08 19:43:07
+Date/Publication: 2016-05-10 15:10:33

## pathological 0.0-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pathological
 Type: Package
 Title: Path Manipulation Utilities
-Version: 0.0-8
-Date: 2016-05-10
+Version: 0.0-9
+Date: 2016-06-15
 Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
 Maintainer: Richard Cotton <richierocks@gmail.com>
 Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
@@ -24,6 +24,6 @@
         Foundation.
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-05-10 12:01:14 UTC; rjc2003
+Packaged: 2016-06-15 13:14:08 UTC; rjc2003
 Repository: CRAN
-Date/Publication: 2016-05-10 15:10:33
+Date/Publication: 2016-06-15 17:26:16

## pathological 0.1-0

=== DESCRIPTION ===
Package: pathological
Type: Package
Title: Path Manipulation Utilities
Version: 0.1-0
Date: 2016-08-29
Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
Maintainer: Richard Cotton <richierocks@gmail.com>
Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
    email = "richierocks@gmail.com"), person("Janko", "Thyson", role = "ctb"))
Description: Utilities for paths, files and directories.
URL: https://github.com/richierocks/pathological
BugReports: https://github.com/richierocks/pathological/issues
Depends: R (>= 2.15.0)
Imports: assertive.base (>= 0.0-3), assertive.files, assertive.numbers,
        assertive.properties, assertive.reflection, assertive.strings,
        assertive.types, magrittr, plyr, stringi, utils
Suggests: knitr, rmarkdown, testthat, withr
License: Unlimited
LazyLoad: yes
Acknowledgments: Development of this package was partially funded by
        the Proteomics Core at Weill Cornell Medical College in Qatar
        <http://qatar-weill.cornell.edu>.  The Core is supported by
        'Biomedical Research Program' funds, a program funded by Qatar
        Foundation.
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-08-29 17:44:03 UTC; richie
Repository: CRAN
Date/Publication: 2016-08-29 20:29:19

## pathological 0.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pathological
 Type: Package
 Title: Path Manipulation Utilities
-Version: 0.1-0
-Date: 2016-08-29
+Version: 0.1-1
+Date: 2016-09-05
 Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
 Maintainer: Richard Cotton <richierocks@gmail.com>
 Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
@@ -25,6 +25,6 @@
 RoxygenNote: 5.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-08-29 17:44:03 UTC; richie
+Packaged: 2016-09-05 08:11:14 UTC; rjc2003
 Repository: CRAN
-Date/Publication: 2016-08-29 20:29:19
+Date/Publication: 2016-09-05 15:54:56

## pathological 0.1-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pathological
 Type: Package
 Title: Path Manipulation Utilities
-Version: 0.1-1
-Date: 2016-09-05
+Version: 0.1-2
+Date: 2017-02-14
 Author: Richard Cotton [aut, cre], Janko Thyson [ctb]
 Maintainer: Richard Cotton <richierocks@gmail.com>
 Authors@R: c(person("Richard", "Cotton", role = c("aut", "cre"),
@@ -22,9 +22,9 @@
         <http://qatar-weill.cornell.edu>.  The Core is supported by
         'Biomedical Research Program' funds, a program funded by Qatar
         Foundation.
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-09-05 08:11:14 UTC; rjc2003
+Packaged: 2017-02-15 13:50:33 UTC; richierocks
 Repository: CRAN
-Date/Publication: 2016-09-05 15:54:56
+Date/Publication: 2017-02-15 15:14:03

## pathological 1.1.3

=== Makefile ===
DESTDIR =

DATADIR = $(DESTDIR)/usr/share/games/pathological

all: write-highscores html/wheel.png

write-highscores: write-highscores.c
	gcc -s -o write-highscores write-highscores.c

html/wheel.png:
	./makehtml

install: all
	mkdir -p $(DATADIR)
	cp pathological.py $(DATADIR)/
	cp -r circuits graphics music sounds $(DATADIR)/
	rm -f $(DATADIR)/graphics/*.xcf
	rm -f $(DATADIR)/sounds/*.orig

	mkdir -p $(DESTDIR)/usr/games
	cp pathological $(DESTDIR)/usr/games/

	mkdir -p $(DESTDIR)/usr/lib/pathological/bin
	cp write-highscores $(DESTDIR)/usr/lib/pathological/bin

	# The following changes should also be performed in a post-install script
	-chgrp games $(DESTDIR)/usr/lib/pathological/bin/write-highscores
	-chmod 2755 $(DESTDIR)/usr/lib/pathological/bin/write-highscores

	mkdir -p $(DESTDIR)/usr/X11R6/include/X11/pixmaps
	cp pathological.xpm $(DESTDIR)/usr/X11R6/include/X11/pixmaps

	mkdir -p $(DESTDIR)/var/games
	cp pathological_scores $(DESTDIR)/var/games

	# The following changes should also be performed in a post-install script
	-chgrp games $(DESTDIR)/var/games/pathological_scores
	-chmod 664 $(DESTDIR)/var/games/pathological_scores

	mkdir -p $(DESTDIR)/usr/share/man/man6
	cp pathological.6.gz $(DESTDIR)/usr/share/man/man6

	mkdir -p $(DESTDIR)/usr/share/doc/pathological
	cp -r html $(DESTDIR)/usr/share/doc/pathological

uninstall:
	rm -rf $(DATADIR)
	rm -rf $(DESTDIR)/usr/lib/pathological
	rm -f $(DESTDIR)/usr/games/pathological
	rm -f $(DESTDIR)/usr/X11R6/include/X11/pixmaps/pathological.xpm
	rm -f $(DESTDIR)/usr/share/man/man6/pathological.6.gz

purge: uninstall
	rm -f $(DESTDIR)/var/games/pathological_scores

empty: distclean

distclean:
	rm -f write-highscores
	rm -f html/*.png

=== debian/changelog ===
pathological (1.1.3-18) unstable; urgency=medium

  * Team upload.
  * Fix GCC-14 compatibility (Closes: #1077389)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 09 Aug 2024 21:45:27 +0200

pathological (1.1.3-17) unstable; urgency=medium

  * Team upload.
  * Fix Python3 compatibility.
    Thanks to Ionen Wolkens for the patch. (Closes: #958463, #1028598)
  * Update watch file to version 4.
  * Bump Standards-Version to 4.6.2.
  * Use https for homepage.
  * Bump debhelper compat level to 13.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 24 Jan 2023 20:33:19 +0100

pathological (1.1.3-16) unstable; urgency=medium

  * Team upload.
  * Port to Python 3. (Closes: #912496)
  * Update debhelper compat level to 12.
  * Update Standards-Version to 4.4.0:
    - declare that d/rules does not require root

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 03 Aug 2019 18:52:47 +0200

pathological (1.1.3-15) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Move the package to Git and salsa.debian.org.
  * Remove deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Wed, 23 May 2018 13:28:37 +0200

pathological (1.1.3-14) unstable; urgency=medium

  * Team upload.
  * debian/rules: Use a specific serial number for oggenc instead of an
    arbitrary string. This should really fix Debian bug 775995.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Dec 2015 19:11:48 +0100

pathological (1.1.3-13) unstable; urgency=medium

  * Team upload.

  [ Alexander Reichle-Schmehl ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Make the build reproducible by passing --serial to oggenc.
    Thanks to Chris Lamb for the report and patch. (Closes: #775995)
  * Remove override for dh_builddeb. xz compression is the default now.
  * Add dh-python to Build-Depends.
  * Remove Build-Depends-Indep field.

 -- Markus Koschany <apo@debian.org>  Sat, 26 Dec 2015 23:00:51 +0100

pathological (1.1.3-12) unstable; urgency=low

  * Convert .xm files to .ogg at build time. (Closes: #705415).
    + Add xmp and vorbis-tools build-deps.
    + Add patch to load .ogg files instead of .xm.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 05 Jun 2013 18:19:07 -0400

pathological (1.1.3-11) unstable; urgency=low

  * Team upload.

  [ Evgeniy Dolgikh ]
  * Remove GenericName field from desktop file. (Closes: #641824)
  * Switch to 3.0 (quilt) source format and drop quilt dependency.
  * Bump debhelper compat level to 9, require debhelper >= 9.
  * Add depends on ${misc:Depends}.
  * Switch to dh rules.tiny.
  * Add doc-base registration for html docs.

  [ Markus Koschany ]
  * Improve watch file and make the extension regex more flexible.
  * Bump standards version to 3.9.4, no changes needed.
  * debian/control:
    - Use canonical Vcs-URI.
    - Revert the decision to split the music files in a separate source
      package. Do not depend on pathological-music anymore and install the
      music from the pathological package again. Use Provides,
      Conflicts and Replaces relationship to ensure a smooth upgrade.
    - Drop Conflicts on pathological-scores.
    - Add python and python-pygame to Build-Depends-Indep.
    - Replace python with ${phython:Depends}.
  * pathological.desktop: Add Keywords and a comment in German.
  * pathological.menu: Add longtitle.
  * debian/patches:
    - Update 10_makefile.patch and install the music files again.
    - Add define-music_pending_song.patch which fixes an exception that was
      caused by an uninitialized game variable. (Closes: #705417)
  * Add DEP-3 headers to all patches.
  * Update debian/copyright to copyright format 1.0.
  * debian/rules: Use xz compression and build --with python2.

 -- Markus Koschany <apo@gambaru.de>  Thu, 02 May 2013 20:21:59 +0200

pathological (1.1.3-10) unstable; urgency=low

  [ Barry deFreese ]
  * 40_pygame_181.patch - Fix to run with pygame 1.8.1. (Closes: #523874).
    + Thanks to Andrea Mennucc for the fix.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 15 Apr 2009 10:51:13 -0400

pathological (1.1.3-9) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * call dh_desktop to run update-desktop-database

  [ Eddy Petrișor ]
  * desktop file changes
    - removed invalid category "Application"
    - added missing semicolon at the end of the Categories field

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * Add Homepage field
  * Bump debhelper build-dep to match compat
  * Remove deprecated Encoding from desktop file and make more HIG compliant
  * Add watch file
  * Make distclean not ignore errors
  * Make debhelper b-d, not b-d-i. (Used in clean target).
  * Add myself to uploaders.
  * Add quilt patching system.
  * Move old inline changes to quilt patches.
    + 10_makefile.patch.
    + 20_highscores.patch.
  * 30_no_soundcard.patch. Start with no soundcard. (Closes: #461330).
    + Thanks to Emanuele Rocca for the patch!
  * Bump Standards Version to 3.8.1. (No changes needed).

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name

 -- Barry deFreese <bdefreese@debian.org>  Tue, 17 Mar 2009 11:18:43 -0400

pathological (1.1.3-8) unstable; urgency=low

  * placing new adress of FSF in debian/copyright

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 12 Jan 2007 18:24:50 +0100

pathological (1.1.3-7) unstable; urgency=low

  * New Maintainer: Debian Games Team (Closes: #388358)
  * Adding Homepage header to package description

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 12 Jan 2007 18:01:07 +0100

pathological (1.1.3-6) unstable; urgency=low

  * Fix mouse handling in menus. Sorry I took so long to do this.
    (Closes: #311432)



=== debian/control ===
Source: pathological
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 netpbm,
 python3,
 python3-pygame,
 vorbis-tools,
 xmp
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://pathological.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/pathological.git
Vcs-Browser: https://salsa.debian.org/games-team/pathological

Package: pathological
Architecture: all
Depends:
 python3-pygame,
 ${misc:Depends},
 ${python3:Depends}
Provides:
 pathological-music
Conflicts:
 pathological-music
Replaces:
 pathological-music
Description: puzzle game involving paths and marbles
 Pathological is an enriched clone of the game "Logical" by Rainbow Arts.
 To solve a level, fill each wheel with four marbles of matching color.
 Various board elements such as teleporters, switches, filters, etc., make
 the game interesting and challenging.  New levels can be created using your
 favorite text editor.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install-indep DESTDIR=$(CURDIR)/debian/pathological

override_dh_install:
	xmp music/intro.xm -o debian/pathological/usr/share/games/pathological/music/intro.wav
	xmp music/background.xm -o debian/pathological/usr/share/games/pathological/music/background.wav
	oggenc --serial 12345 -b 256 debian/pathological/usr/share/games/pathological/music/intro.wav
	oggenc --serial 12345 -b 160 debian/pathological/usr/share/games/pathological/music/background.wav
	rm -f debian/pathological/usr/share/games/pathological/music/*.xm
	rm -f debian/pathological/usr/share/games/pathological/music/*.wav
	dh_install

=== debian/watch ===
version=4
http://sf.net/pathological/pathological-@ANY_VERSION@@ARCHIVE_EXT@
